Subject: [alpine-devel] Aports watched by Anitya (release-monitoring.org)

From: Jakub Jirutka <[email-masked]>
Date: Thu, 15 Sep 2016 01:55:53 +0200

Hi,

I finished integration of Aports with Anitya [1], so I’d like to introduce you this service and explain how it can help us, especially package maintainers.

Anitya is a Fedora project that monitors upstream releases, i.e. announces when a new version of some project is released. It currently monitors over 11,000 projects! This service is open for anyone and allows to add a mapping of a project to a package name in particular distribution (our name is “Alpine”, written exactly like that).

I’ve already mapped 989 packages from the main repo (49 %) and 217 packages from the community repo (29 %). Most of them automatically using a script that tries to match package’s name and url with project’s name and homepage on Anitya. There are still some ambiguous packages in community, I’ll verify and map them later. The rest is probably not monitored by Anitya yet and must be manually added.

Now back to the integration. I’ve extended aports-turbo [2] (web interface on pkgs.a.o) to monitor announcements from Anitya (using fedmsg/zeromq) and automatically flag outdated packages in edge. It verifies if the announced version is really newer than the current package version and if the package hasn’t been flagged for that version yet. You can see flagged packages on http://pkgs.alpinelinux.org/flagged as usual and it sends email to the package maintainer.

We’ve started the monitoring script yesterday. So now when a new version of a monitored package is released, the package maintainer will know about it within 12 hours (Anitya’s period for checks).

Today we will run the script that checks all the packages at once, so all monitored packages that are currently outdated will be flagged. Some maintainers will get many emails, so please don’t be nervous, it’s not necessary to upgrade the packages immediately.

I should also note that Anitya is not infallible. It’s not easy to find released versions, there’s often no other way than to parse HTML pages using regular expression. This is obviously error prone. The monitoring script in aports-turbo compares and validates versions [3], so it should filter out garbage, but still false positive errors may happen. In such case please try to fix the project’s setting on Anitya, or let me know about it on IRC (jirutka) or write an e-mail, I’ll fix it.

I hope that Anitya will make maintainer’s life a bit easier and packages more up-to-date.

Jakub

P.S. Maybe I should note that I’m not a developer of Anitya, I’m just using it.

[1]: https://release-monitoring.org/
[2]: https://github.com/alpinelinux/aports-turbo/pull/17
[3]: https://github.com/jirutka/gversion.lua

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---